
function Skinner:Outfitter()
	if not self.db.profile.CharacterFrames then return end

	--  Handle new and old versions
	if type(Outfitter['ShowPanel']) == "function" then
		self:SecureHook(Outfitter, "ShowPanel", function(tabId)
--			self:Debug("Outfitter:ShowPanel: [%s]", tabId)
			self:skinOutfitterTabs(tabId)
			end)
	else
		self:SecureHook(Outfitter_ShowPanel, function(tabId)
--			self:Debug("Outfitter_ShowPanel: [%s]", tabId)
			self:skinOutfitterTabs(tabId	)
			end)
	end
		
	self:moveObject(OutfitterButton, "+", 33, "+", 7)
	
	self:keepFontStrings(OutfitterFrame)
	self:moveObject(OutfitterFrame, "+", 28, nil, nil)
	self:moveObject(OutfitterCloseButton, "-", 4, "-", 4)
	self:applySkin(OutfitterFrame)
	
	self:keepRegions(OutfitterMainFrame, {2, 3}) -- N.B. region 2 is text, 3 is icon
	self:removeRegions(OutfitterMainFrameScrollbarTrench)
	self:removeRegions(OutfitterMainFrameScrollFrame)
	self:skinScrollBar(OutfitterMainFrameScrollFrame)
	
	--	Outfitter Tabs
	for i = 1, OutfitterFrame.numTabs do

    	local tabName = _G["OutfitterFrameTab"..i]
		self:keepRegions(tabName, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
		-- nil out the OnShow script to stop the tabs being resized
		tabName:SetScript("OnShow", nil)
		tabName:SetWidth(tabName:GetTextWidth() + 30)
		_G[tabName:GetName().."HighlightTexture"]:SetWidth(tabName:GetTextWidth() + 30)

        if self.db.profile.TexturedTab then self:applySkin(tabName, nil, 0, 1)
		else self:applySkin(tabName) end
	
		if i == 1 then
			self:moveObject(tabName, nil, nil, "+", 4)
			self:setActiveTab(tabName)
		else
			self:moveObject(tabName, "-", 10, nil, nil)
			self:setInactiveTab(tabName)
		end
		
	end
	
	-- New Outfit
	self:keepFontStrings(OutfitterNameOutfitDialog)
	self:skinEditBox(OutfitterNameOutfitDialogName, {15})
	self:moveObject(OutfitterNameOutfitDialogTitle, nil, nil, "_", 6)
	self:keepFontStrings(OutfitterNameOutfitDialogCreateUsing)
	self:applySkin(OutfitterNameOutfitDialog)


-->>-- EditScriptDialog Frame
	if OutfitterEditScriptDialog then
		self:keepFontStrings(OutfitterEditScriptDialogPresetScript)
		self:keepFontStrings(OutfitterEditScriptDialogSourceScript)
		self:skinScrollBar(OutfitterEditScriptDialogSourceScript)
		self:keepFontStrings(OutfitterEditScriptDialog)
		self:applySkin(OutfitterEditScriptDialog)
		-- Tabs
		self:keepRegions(OutfitterEditScriptDialogTab1, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
		if self.db.profile.TexturedTab then self:applySkin(OutfitterEditScriptDialogTab1, nil, 0, 1)
		else self:applySkin(OutfitterEditScriptDialogTab1) end
		self:setActiveTab(OutfitterEditScriptDialogTab1)
		self:keepRegions(OutfitterEditScriptDialogTab2, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
		if self.db.profile.TexturedTab then self:applySkin(OutfitterEditScriptDialogTab2, nil, 0, 1)
		else self:applySkin(OutfitterEditScriptDialogTab2) end
		self:moveObject(OutfitterEditScriptDialogTab2, "+", 8, nil, nil)
		self:setInactiveTab(OutfitterEditScriptDialogTab2)
		-- Hook these to manage the Tabs
		self:SecureHook(OutfitterEditScriptDialog, "Show", function(this, ...)
--			self:Debug("Outfitter_ESD_Show: [%s, %s]", this:GetName(), this.selectedTab)
			self:setInactiveTab(OutfitterEditScriptDialogTab1)
			self:setInactiveTab(OutfitterEditScriptDialogTab2)
			if this.selectedTab == 1 then self:setActiveTab(OutfitterEditScriptDialogTab1)
			else self:setActiveTab(OutfitterEditScriptDialogTab2) end
			end)
		self:SecureHook(Outfitter, "EditScriptDialog_SetPanelIndex", function(pDialog, pIndex)
--			self:Debug("Outfitter_ESD_SPI: [%s, %s]", pDialog:GetName(), pIndex)
			self:setInactiveTab(OutfitterEditScriptDialogTab1)
			self:setInactiveTab(OutfitterEditScriptDialogTab2)
			if pIndex == 1 then self:setActiveTab(OutfitterEditScriptDialogTab1)
			else self:setActiveTab(OutfitterEditScriptDialogTab2) end
			end)
--		-- Hook this to manage the settings
--		self:SecureHook(Outfitter, "EditScriptDialog_ConstructSettingsFields", function(pDialog, pSettings)
--			self:Debug("Outfitter_ESD_CSF: [%s, %s]", pDialog:GetName(), pSettings)
--			self:skinOutfitterSettings()
--			end)
--		self:skinOutfitterSettings()
	end
	
end

function Skinner:skinOutfitterTabs(tabId)

	for i = 1, OutfitterFrame.numTabs do
		if i == tabId then
			self:setActiveTab(_G["OutfitterFrameTab"..i])
		else
			self:setInactiveTab(_G["OutfitterFrameTab"..i])
		end
	end
	
end

--function Skinner:skinOutfitterSettings()
--
--	for _, obj in pairs({ "EditBox1", "EditBox2", "ZoneListEditBox1", "ZoneListEditBox2", "ScrollableEditBox1" }) do
--		local settingObj = _G["OutfitterEditScriptDialogSettings"..obj]
--		if settingObj and not settingObj.skinned then
--			if settingObj:IsObjectType("EditBox") then
--				self:skinEditBox(settingObj, {9})
--			else
--				self:keepFontStrings(settingObj)
--				self:skinScrollBar(settingObj, {9})
--			end
--			settingObj.skinned = true
--		end
--	end
--
--end

